{{ define "main" }}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script type="text/javascript">
  function toggler(tag) {
    if(!tag){
      $(".box").show();
    }else{
      $(".box").hide();
      $("."+tag).css("display","block");
    }
  }
</script>
  <div class="container" role="main">
    <div class="row">
      <div class="col-lg-12">
        <link rel="stylesheet" href="{{ "css/hugo-easy-gallery.css" | absURL }}" />
        <h5 class="text-center"> Tags:
          <button type="button" class="btn btn-link" href="#all" onclick="toggler();"> #all  </button>
            {{$displayed_tags := newScratch}}
            {{$displayed_tags.Set "tags" (slice "all")}}
            {{ range where .Site.Pages ".Params.for_gallery" "ne" nil  }}
              {{ range .Params.for_gallery}}
                {{ range index . 2}}
                  {{if in ($displayed_tags.Get "tags") . }}
                  {{else}}
                    <button type="button" class="btn btn-link" href="#{{.}}" onclick="toggler('{{.}}');"> #{{.}} </button>
                  {{end}}
                  {{ $displayed_tags.Set "tags" ($displayed_tags.Get "tags" | append . )}}
                {{end}}
              {{end}}
            {{end}}
        </h5> 
        <div class="gallery  caption-position-bottom caption-effect-slide hover-effect-zoom hover-transition hover-transition" itemscope itemtype="http://schema.org/ImageGallery">
          {{$gallery_permalink := .Permalink}}
          {{ range where .Site.Pages ".Params.for_gallery" "ne" nil  }}
            {{$permalink:=.Permalink}}
              {{ range .Params.for_gallery}}
                {{$image_url := index . 0}}
                {{$caption := index . 1}}
                {{$caption_cond := ne $permalink $gallery_permalink }}  
                {{$permalink:= cond (hasPrefix $image_url "http") "" $permalink }}
                {{$tag_list := delimit (index . 2) " "}}
                <div class="box {{ $tag_list }}" >
                  <figure itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
                    <div class="img" style="background-image: url('{{ $permalink }}{{$image_url}}');" >
                      <img itemprop="thumbnail" src="{{ $permalink }}{{$image_url}}" title={{$caption}} alt="{{ $caption }} {{if $caption_cond}} <a href='{{$permalink}}'>Read more...</a> {{end}}" /><!-- <img> hidden if in .gallery -->
                      
                    </div>
                    <a class="image-gallery" href="{{$permalink }}{{$image_url}}" itemprop="contentUrl" data-lightbox="image-1" data-title="My caption"></a>
                      <figcaption>
                        <p>
                          {{ $caption }} {{if $caption_cond}}<br><a href='{{$permalink}}'>Find out more</a> {{end}}
                        </p>
                      </figcaption>
                  </figure>
                </div>
              {{end}}
          {{ end }}
        </div>
      </div>
    </div>
    {{ with .Content }}
    <div class="row">
      <div class="col-lg-12">
      {{.}}
      </div>
    </div>
  {{ end }}
  </div>
{{ end }}
